if(NOT Eigen_DIR)
    ExternalProject_Add(Eigen
        PREFIX       ${PROJECT_BINARY_DIR}/Eigen
        URL          http://bitbucket.org/eigen/eigen/get/3.2.0.zip
        URL_MD5      f51f50612c6717b7191dff64db65fc8f
        INSTALL_DIR  ${LIB_DIR}/Eigen-3.2.0
        SOURCE_DIR   ${DEVEL_DIR}/Eigen-3.2.0
        CMAKE_ARGS   -DCMAKE_INSTALL_PREFIX:PATH=<INSTALL_DIR>
                     -DBUILD_TESTS=OFF
    )
    set(Eigen_INCLUDE_DIR ${LIB_DIR}/Eigen-3.2.0/include/eigen3)
    set(Eigen_INTERNAL    ON)
else()
    find_package(Eigen REQUIRED)
endif()